CARGO-SEARCH(1)

NAME
cargo-search - Search packages in crates.io

SYNOPSIS

cargo search [OPTIONS] [QUERY...]

DESCRIPTION

This performs a textual search for crates on The matching crates will be displayed along with their description in TOML format suitable for copying into a Cargo.toml manifest.

OPTIONS

  Search Options

--limit LIMIT
    Limit the number of results (default: 10, max: 100).

--index INDEX
    The URL of the registry index to use.

--registry REGISTRY
    Name of the registry to use. Registry names are defined in If not specified, the default registry is used, which is defined by the registry.default config key which defaults to crates-io.

  Display Options

-v, --verbose
    Use verbose output. May be specified twice for "very verbose" output which includes extra output such as dependency warnings and build script output. May also be specified with the term.verbose

-q, --quiet
    No output printed to stdout.

--color WHEN
    Control when colored output is used. Valid values:

        • auto (default): Automatically detect if color support is available on the terminal.

        • always: Always display colors.

        • never: Never display colors.

    May also be specified with the term.color

  Common Options

-h, --help
    Prints help information.

-Z FLAG...
    Unstable (nightly-only) flags to Cargo. Run cargo -Z help for details.

ENVIRONMENT

See for details on environment variables that Cargo reads.

EXIT STATUS

0
    Cargo succeeded.

101
    Cargo failed to complete.

EXAMPLES

    1. Search for a package from crates.io:

        cargo search serde

SEE ALSO

cargo(1), cargo-install(1), cargo-publish(1)